Subject: Re: bug#6207: 23.1; align.el vhdl rules setup

From: Reto Zimmermann <[email-masked]>
Date: Tue, 01 Jun 2010 15:06:59 +0200

Hi Stefan,

The settings in align.el are not used at all in vhdl-mode.  vhdl-mode has it's own alignment settings and commands, which have evolved since the settings in align.el were defined.  So the settings in align.el are obsolete and could be removed.

Reto

Stefan Monnier wrote:
> Hi Reto,
> 
> What do you think of moving the VHDL settings of align.el to vhdl.el?
> It sounds like The Right Thing to me,
> 
> 
>         Stefan
> 
> 
>> align.el has some setups for vhdl-mode, but the way align.el adds to
>> vhdl-mode-hook means they only take effect in vhdl-mode buffers made
>> after align.el has loaded, whereas I hoped they would be always present.
> 
>> Eg. the foo.vhd below
> 
>>     emacs -Q foo.vhd
>>     M-x end-of-buffer
>>     M-x align
> 
>> does nothing, but
> 
>>     emacs -Q
>>     M-: (require 'align)
>>     C-x C-f foo.vhd
>>     M-x end-of-buffer
>>     M-x align
> 
>> lines up the "signal" and "variable" expressions.
> 
>> I see there's a comment in align.el that its vhdl stuff belongs in
>> vhdl-mode.el.  I suppose that would be the right way to do it.
> 
>> (vhdl-mode has some of its own alignment, the align.el bits are separate
>> and don't interfere as far as I can tell.  From the comments I get the
>> impression align.el came afterwards, or some such.)
> 
> 
>> In GNU Emacs 23.1.1 (i486-pc-linux-gnu, GTK+ Version 2.16.5)
>>  of 2009-09-14 on raven, modified by Debian
>> configured using `configure  '--build=i486-linux-gnu' '--host=i486-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib' '--localstatedir=/var/lib' '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes' '--enable-locallisppath=/etc/emacs23:/etc/emacs:/usr/local/share/emacs/23.1/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/23.1/site-lisp:/usr/share/emacs/site-lisp:/usr/share/emacs/23.1/leim' '--with-x=yes' '--with-x-toolkit=gtk' '--with-toolkit-scroll-bars' 'build_alias=i486-linux-gnu' 'host_alias=i486-linux-gnu' 'CFLAGS=-DDEBIAN -g -O2' 'LDFLAGS=-g' 'CPPFLAGS=''
> 
>> Important settings:
>>   value of $LC_ALL: nil
>>   value of $LC_COLLATE: nil
>>   value of $LC_CTYPE: nil
>>   value of $LC_MESSAGES: nil
>>   value of $LC_MONETARY: nil
>>   value of $LC_NUMERIC: nil
>>   value of $LC_TIME: nil
>>   value of $LANG: en_AU
>>   value of $XMODIFIERS: nil
>>   locale-coding-system: iso-latin-1-unix
>>   default-enable-multibyte-characters: t
> 
> 
>